image: alpine
stages:
  - compile
  - test
  - package

compile:
  stage: compile
  script: cat file1.txt file2.txt | grep -q 'Hello world'
  artifacts:
    paths:
    - compiled.txt

test:
  stage: test
  script: cat file1.txt file2.txt | grep -q 'Hello world'

package:
  stage: package
  script:  cat file1.txt file2.txt | gzip > packaged.gz
  artifacts:
    paths:
    - packaged.gz